function INITIALIZE_sol_and_gBest(Nsol, Nvar, UB_LB, LB, Fun)

global gBest XX FF

gBest = 1;

FF = zeros(1,Nsol);
XX = zeros(Nsol,Nvar);

for sol = 1:Nsol
    for var = 1:Nvar
        XX(sol,var) = UB_LB(var)*rand + LB(var);
    end    
    FF(sol) = Fun(XX(sol,:));
    if(FF(sol) < FF(gBest))
        gBest = sol;
    end
end 