% clear all
% close all
% clc
function [fmin,best,NFES] = pce_main(maxFES, Nsol, Nrun, Nvar, Fun, LB, UB, fnum)
global gBest XX FF %gBest records the best individual's index; XX records all individuals' soulutions; FF records all individuals' fitness

UB_LB = UB - LB;
err_result = 0;
flag = 0;
FES = 0;
NFES = 0;
err_judge = 1;
%%----main fuction-------%%

INITIALIZE_sol_and_gBest(Nsol, Nvar, UB_LB, LB, Fun);

RUN = 1;

cnt = 1;
error_fes = [];
xl = [];
% for RUN = 1:Nrun
while(FES < maxFES)

%%-----rank according fitness-----
    [~,index] = sort(FF);
    XX = XX(index,:); 
    FF = FF(index);
    gBest = 1;
%%---------------------------------   
    pce(Nsol, Nvar, UB_LB, UB, LB, Fun) %the core of population classification evolution algorithm
    FES = FES + Nsol;

    fmin = FF(gBest);
    best = XX(gBest,:);

    if(err_judge) %% here, find SR for F(x) ? F(x*)  
        [flag, err_result] = error_calc(fnum, FF(gBest));
        if(flag)
            err_judge = 0;
            NFES = FES
        end
    end
         
end
fmin = FF(gBest);
best = XX(gBest,:);

