function xUPDATE(Nsol, Nvar, UB_LB, UB, LB, sol, Fun)

global gBest XX FF

tmp = XX(sol,:);

random = rand;
flag = 0;
Cr=0.15;

if(sol<=10) %% type 1: the elite individuals evolution
    XX(sol,:) = XX(sol,:) + (rand-rand)*XX(sol,:);
    XX(sol,:)=simplebounds(XX(sol,:),LB,UB);
    flag = 1;
elseif (random < 0.9) %% type 1: the ordinary individuals evolution
    JK=randperm(Nsol);
    XX(sol,:)=XX(gBest,:)+rand*(XX(JK(1),:)-XX(JK(2),:)); %% "DE/best/1" mutation operator
    r=rand(1,Nvar);
    Cr_I=find(r<Cr); %%crossover operater
    XX(sol,Cr_I)=XX(JK(3),Cr_I);
    XX(sol,:)=simplebounds(XX(sol,:),LB,UB);
    flag = 1;
else %% the random movement
    XX(sol,:) = UB_LB*rand + LB;
    flag = 1;
end

if(flag)
    XFit = Fun(XX(sol,:));
    if(XFit < FF(sol)) %%greedy selection scheme
        FF(sol) = XFit;
        if(XFit < FF(gBest))
            gBest = sol;
        end
    else XX(sol,:) = tmp;
    end
end

